com.genesyslab.wfm8.API.service.config812

## Class CfgAccrualRule

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config812.CfgAccrualRule

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgAccrualRule
      extends java.lang.Object
      implements java.io.Serializable

  Accrual Rule information.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks time point when Object information was obtained
    `protected int` | `wmAccrualRuleId` Accrual Rule object ID
    `protected int` | `wmAdvanceMinutes` Advance Minutes
    `protected boolean` | `wmAutoCalcEnabled`
    `protected int` | `wmAutoCalcOffsetDays`
    `protected int` | `wmAutoGrantMinMinutes` Minimum Auto-Grant Minutes.
    `protected boolean` | `wmBatchRequests`
    `protected int` | `wmBUId`
    `protected double` | `wmCarryOverDay` Carry-Over Day (`OleDateTime`)
    `protected int` | `wmDailyVacMinutes` Daily Time Off minutes
    `protected int` | `wmDaysInAdvance`
    `protected int` | `wmEstimatedDailyMinutes` Estimated Daily Minutes
    `protected int` | `wmEstimatedWeeklyMinutes` Estimated Weekly Minutes
    `protected double` | `wmHours` Hours
    `protected boolean` | `wmIgnoreBalance`
    `protected int` | `wmMaxCarriedMinutes` Maximum Carried Minutes
    `protected int` | `wmMaxDaysInAdvance` Maximum Days In Advance
    `protected int` | `wmMaxVacMinutes` Maximum Time Off Minutes
    `protected int` | `wmMinContinuousDays`
    `protected java.lang.String` | `wmName` Name of Accrual Rule
    `protected double` | `wmPeriodEndDate`
    `protected int` | `wmPeriodMaxMinutes`
    `protected boolean` | `wmPeriodRestriction`
    `protected int` | `wmPeriods` Periods
    `protected double` | `wmPeriodStartDate`
    `protected int` | `wmPeriodType` Accrual Period Type (`ECalAccrualPeriods`)
    `protected boolean` | `wmRequestWeekDelay` Request Week Delay
    `protected java.util.List<java.lang.Integer>` | `wmSiteId` List of Site ID that Accrual Rule belongs to
    `protected int` | `wmSiteIdNSizeIs`
    `protected boolean` | `wmStartFromHiring` Start From Hiring (true/false)
    `protected int` | `wmStartPeriods` Start Periods
    `protected int` | `wmStartPeriodType` Start Period Type (`ECalStartPeriods`)
    `protected int` | `wmTimeOffTypeId` An ID of associated Time Off Type object
    `protected int` | `wmType` Type
    `protected boolean` | `wmVacationAutoGrant` Time Off auto-grant

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgAccrualRule()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmAccrualRuleId()` Gets the value of the wmAccrualRuleId property.
    `int` | `getWmAdvanceMinutes()` Gets the value of the wmAdvanceMinutes property.
    `int` | `getWmAutoCalcOffsetDays()` Gets the value of the wmAutoCalcOffsetDays property.
    `int` | `getWmAutoGrantMinMinutes()` Gets the value of the wmAutoGrantMinMinutes property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `double` | `getWmCarryOverDay()` Gets the value of the wmCarryOverDay property.
    `int` | `getWmDailyVacMinutes()` Gets the value of the wmDailyVacMinutes property.
    `int` | `getWmDaysInAdvance()` Gets the value of the wmDaysInAdvance property.
    `int` | `getWmEstimatedDailyMinutes()` Gets the value of the wmEstimatedDailyMinutes property.
    `int` | `getWmEstimatedWeeklyMinutes()` Gets the value of the wmEstimatedWeeklyMinutes property.
    `double` | `getWmHours()` Gets the value of the wmHours property.
    `int` | `getWmMaxCarriedMinutes()` Gets the value of the wmMaxCarriedMinutes property.
    `int` | `getWmMaxDaysInAdvance()` Gets the value of the wmMaxDaysInAdvance property.
    `int` | `getWmMaxVacMinutes()` Gets the value of the wmMaxVacMinutes property.
    `int` | `getWmMinContinuousDays()` Gets the value of the wmMinContinuousDays property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `double` | `getWmPeriodEndDate()` Gets the value of the wmPeriodEndDate property.
    `int` | `getWmPeriodMaxMinutes()` Gets the value of the wmPeriodMaxMinutes property.
    `int` | `getWmPeriods()` Gets the value of the wmPeriods property.
    `double` | `getWmPeriodStartDate()` Gets the value of the wmPeriodStartDate property.
    `int` | `getWmPeriodType()` Gets the value of the wmPeriodType property.
    `java.util.List<java.lang.Integer>` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmSiteIdNSizeIs()` Gets the value of the wmSiteIdNSizeIs property.
    `int` | `getWmStartPeriods()` Gets the value of the wmStartPeriods property.
    `int` | `getWmStartPeriodType()` Gets the value of the wmStartPeriodType property.
    `int` | `getWmTimeOffTypeId()` Gets the value of the wmTimeOffTypeId property.
    `int` | `getWmType()` Gets the value of the wmType property.
    `int` | `hashCode()`
    `boolean` | `isWmAutoCalcEnabled()` Gets the value of the wmAutoCalcEnabled property.
    `boolean` | `isWmBatchRequests()` Gets the value of the wmBatchRequests property.
    `boolean` | `isWmIgnoreBalance()` Gets the value of the wmIgnoreBalance property.
    `boolean` | `isWmPeriodRestriction()` Gets the value of the wmPeriodRestriction property.
    `boolean` | `isWmRequestWeekDelay()` Gets the value of the wmRequestWeekDelay property.
    `boolean` | `isWmStartFromHiring()` Gets the value of the wmStartFromHiring property.
    `boolean` | `isWmVacationAutoGrant()` Gets the value of the wmVacationAutoGrant property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmAccrualRuleId(int value)` Sets the value of the wmAccrualRuleId property.
    `void` | `setWmAdvanceMinutes(int value)` Sets the value of the wmAdvanceMinutes property.
    `void` | `setWmAutoCalcEnabled(boolean value)` Sets the value of the wmAutoCalcEnabled property.
    `void` | `setWmAutoCalcOffsetDays(int value)` Sets the value of the wmAutoCalcOffsetDays property.
    `void` | `setWmAutoGrantMinMinutes(int value)` Sets the value of the wmAutoGrantMinMinutes property.
    `void` | `setWmBatchRequests(boolean value)` Sets the value of the wmBatchRequests property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmCarryOverDay(double value)` Sets the value of the wmCarryOverDay property.
    `void` | `setWmDailyVacMinutes(int value)` Sets the value of the wmDailyVacMinutes property.
    `void` | `setWmDaysInAdvance(int value)` Sets the value of the wmDaysInAdvance property.
    `void` | `setWmEstimatedDailyMinutes(int value)` Sets the value of the wmEstimatedDailyMinutes property.
    `void` | `setWmEstimatedWeeklyMinutes(int value)` Sets the value of the wmEstimatedWeeklyMinutes property.
    `void` | `setWmHours(double value)` Sets the value of the wmHours property.
    `void` | `setWmIgnoreBalance(boolean value)` Sets the value of the wmIgnoreBalance property.
    `void` | `setWmMaxCarriedMinutes(int value)` Sets the value of the wmMaxCarriedMinutes property.
    `void` | `setWmMaxDaysInAdvance(int value)` Sets the value of the wmMaxDaysInAdvance property.
    `void` | `setWmMaxVacMinutes(int value)` Sets the value of the wmMaxVacMinutes property.
    `void` | `setWmMinContinuousDays(int value)` Sets the value of the wmMinContinuousDays property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmPeriodEndDate(double value)` Sets the value of the wmPeriodEndDate property.
    `void` | `setWmPeriodMaxMinutes(int value)` Sets the value of the wmPeriodMaxMinutes property.
    `void` | `setWmPeriodRestriction(boolean value)` Sets the value of the wmPeriodRestriction property.
    `void` | `setWmPeriods(int value)` Sets the value of the wmPeriods property.
    `void` | `setWmPeriodStartDate(double value)` Sets the value of the wmPeriodStartDate property.
    `void` | `setWmPeriodType(int value)` Sets the value of the wmPeriodType property.
    `void` | `setWmRequestWeekDelay(boolean value)` Sets the value of the wmRequestWeekDelay property.
    `void` | `setWmSiteId(java.util.List<java.lang.Integer> value)` Sets the value of the wmSiteId property.
    `void` | `setWmSiteIdNSizeIs(int value)` Sets the value of the wmSiteIdNSizeIs property.
    `void` | `setWmStartFromHiring(boolean value)` Sets the value of the wmStartFromHiring property.
    `void` | `setWmStartPeriods(int value)` Sets the value of the wmStartPeriods property.
    `void` | `setWmStartPeriodType(int value)` Sets the value of the wmStartPeriodType property.
    `void` | `setWmTimeOffTypeId(int value)` Sets the value of the wmTimeOffTypeId property.
    `void` | `setWmType(int value)` Sets the value of the wmType property.
    `void` | `setWmVacationAutoGrant(boolean value)` Sets the value of the wmVacationAutoGrant property.
    `java.lang.String` | `toString()`
    `CfgAccrualRule` | `withTimestamp(long value)`
    `CfgAccrualRule` | `withWmAccrualRuleId(int value)`
    `CfgAccrualRule` | `withWmAdvanceMinutes(int value)`
    `CfgAccrualRule` | `withWmAutoCalcEnabled(boolean value)`
    `CfgAccrualRule` | `withWmAutoCalcOffsetDays(int value)`
    `CfgAccrualRule` | `withWmAutoGrantMinMinutes(int value)`
    `CfgAccrualRule` | `withWmBatchRequests(boolean value)`
    `CfgAccrualRule` | `withWmBUId(int value)`
    `CfgAccrualRule` | `withWmCarryOverDay(double value)`
    `CfgAccrualRule` | `withWmDailyVacMinutes(int value)`
    `CfgAccrualRule` | `withWmDaysInAdvance(int value)`
    `CfgAccrualRule` | `withWmEstimatedDailyMinutes(int value)`
    `CfgAccrualRule` | `withWmEstimatedWeeklyMinutes(int value)`
    `CfgAccrualRule` | `withWmHours(double value)`
    `CfgAccrualRule` | `withWmIgnoreBalance(boolean value)`
    `CfgAccrualRule` | `withWmMaxCarriedMinutes(int value)`
    `CfgAccrualRule` | `withWmMaxDaysInAdvance(int value)`
    `CfgAccrualRule` | `withWmMaxVacMinutes(int value)`
    `CfgAccrualRule` | `withWmMinContinuousDays(int value)`
    `CfgAccrualRule` | `withWmName(java.lang.String value)`
    `CfgAccrualRule` | `withWmPeriodEndDate(double value)`
    `CfgAccrualRule` | `withWmPeriodMaxMinutes(int value)`
    `CfgAccrualRule` | `withWmPeriodRestriction(boolean value)`
    `CfgAccrualRule` | `withWmPeriods(int value)`
    `CfgAccrualRule` | `withWmPeriodStartDate(double value)`
    `CfgAccrualRule` | `withWmPeriodType(int value)`
    `CfgAccrualRule` | `withWmRequestWeekDelay(boolean value)`
    `CfgAccrualRule` | `withWmSiteId(java.util.Collection<java.lang.Integer> values)`
    `CfgAccrualRule` | `withWmSiteId(java.lang.Integer... values)`
    `CfgAccrualRule` | `withWmSiteIdNSizeIs(int value)`
    `CfgAccrualRule` | `withWmStartFromHiring(boolean value)`
    `CfgAccrualRule` | `withWmStartPeriods(int value)`
    `CfgAccrualRule` | `withWmStartPeriodType(int value)`
    `CfgAccrualRule` | `withWmTimeOffTypeId(int value)`
    `CfgAccrualRule` | `withWmType(int value)`
    `CfgAccrualRule` | `withWmVacationAutoGrant(boolean value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmAccrualRuleId

          protected int wmAccrualRuleId

      Accrual Rule object ID

    - #### wmBUId

          protected int wmBUId

    - #### wmSiteIdNSizeIs

          protected int wmSiteIdNSizeIs

    - #### wmSiteId

          protected java.util.List<java.lang.Integer> wmSiteId

      List of Site ID that Accrual Rule belongs to

    - #### wmName

          protected java.lang.String wmName

      Name of Accrual Rule

    - #### wmHours

          protected double wmHours

      Hours

    - #### wmPeriodType

          protected int wmPeriodType

      Accrual Period Type (`ECalAccrualPeriods`)

    - #### wmPeriods

          protected int wmPeriods

      Periods

    - #### wmStartPeriodType

          protected int wmStartPeriodType

      Start Period Type (`ECalStartPeriods`)

    - #### wmStartPeriods

          protected int wmStartPeriods

      Start Periods

    - #### wmStartFromHiring

          protected boolean wmStartFromHiring

      Start From Hiring (true/false)

    - #### wmMaxCarriedMinutes

          protected int wmMaxCarriedMinutes

      Maximum Carried Minutes

    - #### wmCarryOverDay

          protected double wmCarryOverDay

      Carry-Over Day (`OleDateTime`)

    - #### wmAdvanceMinutes

          protected int wmAdvanceMinutes

      Advance Minutes

    - #### wmMaxVacMinutes

          protected int wmMaxVacMinutes

      Maximum Time Off Minutes

    - #### wmDailyVacMinutes

          protected int wmDailyVacMinutes

      Daily Time Off minutes

    - #### wmRequestWeekDelay

          protected boolean wmRequestWeekDelay

      Request Week Delay

    - #### wmVacationAutoGrant

          protected boolean wmVacationAutoGrant

      Time Off auto-grant

    - #### wmEstimatedDailyMinutes

          protected int wmEstimatedDailyMinutes

      Estimated Daily Minutes

    - #### wmEstimatedWeeklyMinutes

          protected int wmEstimatedWeeklyMinutes

      Estimated Weekly Minutes

    - #### wmTimeOffTypeId

          protected int wmTimeOffTypeId

      An ID of associated Time Off Type object

    - #### wmType

          protected int wmType

      Type

    - #### wmAutoGrantMinMinutes

          protected int wmAutoGrantMinMinutes

      Minimum Auto-Grant Minutes.

    - #### wmMaxDaysInAdvance

          protected int wmMaxDaysInAdvance

      Maximum Days In Advance

    - #### wmIgnoreBalance

          protected boolean wmIgnoreBalance

    - #### wmBatchRequests

          protected boolean wmBatchRequests

    - #### wmDaysInAdvance

          protected int wmDaysInAdvance

    - #### wmMinContinuousDays

          protected int wmMinContinuousDays

    - #### wmPeriodRestriction

          protected boolean wmPeriodRestriction

    - #### wmPeriodMaxMinutes

          protected int wmPeriodMaxMinutes

    - #### wmPeriodStartDate

          protected double wmPeriodStartDate

    - #### wmPeriodEndDate

          protected double wmPeriodEndDate

    - #### wmAutoCalcEnabled

          protected boolean wmAutoCalcEnabled

    - #### wmAutoCalcOffsetDays

          protected int wmAutoCalcOffsetDays

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks time point when Object information was obtained

  - ### Constructor Detail

    - #### CfgAccrualRule

          public CfgAccrualRule()

  - ### Method Detail

    - #### getWmAccrualRuleId

          public int getWmAccrualRuleId()

      Gets the value of the wmAccrualRuleId property.

    - #### setWmAccrualRuleId

          public void setWmAccrualRuleId(int value)

      Sets the value of the wmAccrualRuleId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmSiteIdNSizeIs

          public int getWmSiteIdNSizeIs()

      Gets the value of the wmSiteIdNSizeIs property.

    - #### setWmSiteIdNSizeIs

          public void setWmSiteIdNSizeIs(int value)

      Sets the value of the wmSiteIdNSizeIs property.

    - #### getWmSiteId

          public java.util.List<java.lang.Integer> getWmSiteId()

      Gets the value of the wmSiteId property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the wmSiteId property.

      For example, to add a new item, do as follows:

              getWmSiteId().add(newItem);

      Objects of the following type(s) are allowed in the list `Integer`

    - #### setWmSiteId

          public void setWmSiteId(java.util.List<java.lang.Integer> value)

      Sets the value of the wmSiteId property.
      Parameters:
        `value` - allowed object is list of `Integer`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmHours

          public double getWmHours()

      Gets the value of the wmHours property.

    - #### setWmHours

          public void setWmHours(double value)

      Sets the value of the wmHours property.

    - #### getWmPeriodType

          public int getWmPeriodType()

      Gets the value of the wmPeriodType property.

    - #### setWmPeriodType

          public void setWmPeriodType(int value)

      Sets the value of the wmPeriodType property.

    - #### getWmPeriods

          public int getWmPeriods()

      Gets the value of the wmPeriods property.

    - #### setWmPeriods

          public void setWmPeriods(int value)

      Sets the value of the wmPeriods property.

    - #### getWmStartPeriodType

          public int getWmStartPeriodType()

      Gets the value of the wmStartPeriodType property.

    - #### setWmStartPeriodType

          public void setWmStartPeriodType(int value)

      Sets the value of the wmStartPeriodType property.

    - #### getWmStartPeriods

          public int getWmStartPeriods()

      Gets the value of the wmStartPeriods property.

    - #### setWmStartPeriods

          public void setWmStartPeriods(int value)

      Sets the value of the wmStartPeriods property.

    - #### isWmStartFromHiring

          public boolean isWmStartFromHiring()

      Gets the value of the wmStartFromHiring property.

    - #### setWmStartFromHiring

          public void setWmStartFromHiring(boolean value)

      Sets the value of the wmStartFromHiring property.

    - #### getWmMaxCarriedMinutes

          public int getWmMaxCarriedMinutes()

      Gets the value of the wmMaxCarriedMinutes property.

    - #### setWmMaxCarriedMinutes

          public void setWmMaxCarriedMinutes(int value)

      Sets the value of the wmMaxCarriedMinutes property.

    - #### getWmCarryOverDay

          public double getWmCarryOverDay()

      Gets the value of the wmCarryOverDay property.

    - #### setWmCarryOverDay

          public void setWmCarryOverDay(double value)

      Sets the value of the wmCarryOverDay property.

    - #### getWmAdvanceMinutes

          public int getWmAdvanceMinutes()

      Gets the value of the wmAdvanceMinutes property.

    - #### setWmAdvanceMinutes

          public void setWmAdvanceMinutes(int value)

      Sets the value of the wmAdvanceMinutes property.

    - #### getWmMaxVacMinutes

          public int getWmMaxVacMinutes()

      Gets the value of the wmMaxVacMinutes property.

    - #### setWmMaxVacMinutes

          public void setWmMaxVacMinutes(int value)

      Sets the value of the wmMaxVacMinutes property.

    - #### getWmDailyVacMinutes

          public int getWmDailyVacMinutes()

      Gets the value of the wmDailyVacMinutes property.

    - #### setWmDailyVacMinutes

          public void setWmDailyVacMinutes(int value)

      Sets the value of the wmDailyVacMinutes property.

    - #### isWmRequestWeekDelay

          public boolean isWmRequestWeekDelay()

      Gets the value of the wmRequestWeekDelay property.

    - #### setWmRequestWeekDelay

          public void setWmRequestWeekDelay(boolean value)

      Sets the value of the wmRequestWeekDelay property.

    - #### isWmVacationAutoGrant

          public boolean isWmVacationAutoGrant()

      Gets the value of the wmVacationAutoGrant property.

    - #### setWmVacationAutoGrant

          public void setWmVacationAutoGrant(boolean value)

      Sets the value of the wmVacationAutoGrant property.

    - #### getWmEstimatedDailyMinutes

          public int getWmEstimatedDailyMinutes()

      Gets the value of the wmEstimatedDailyMinutes property.

    - #### setWmEstimatedDailyMinutes

          public void setWmEstimatedDailyMinutes(int value)

      Sets the value of the wmEstimatedDailyMinutes property.

    - #### getWmEstimatedWeeklyMinutes

          public int getWmEstimatedWeeklyMinutes()

      Gets the value of the wmEstimatedWeeklyMinutes property.

    - #### setWmEstimatedWeeklyMinutes

          public void setWmEstimatedWeeklyMinutes(int value)

      Sets the value of the wmEstimatedWeeklyMinutes property.

    - #### getWmTimeOffTypeId

          public int getWmTimeOffTypeId()

      Gets the value of the wmTimeOffTypeId property.

    - #### setWmTimeOffTypeId

          public void setWmTimeOffTypeId(int value)

      Sets the value of the wmTimeOffTypeId property.

    - #### getWmType

          public int getWmType()

      Gets the value of the wmType property.

    - #### setWmType

          public void setWmType(int value)

      Sets the value of the wmType property.

    - #### getWmAutoGrantMinMinutes

          public int getWmAutoGrantMinMinutes()

      Gets the value of the wmAutoGrantMinMinutes property.

    - #### setWmAutoGrantMinMinutes

          public void setWmAutoGrantMinMinutes(int value)

      Sets the value of the wmAutoGrantMinMinutes property.

    - #### getWmMaxDaysInAdvance

          public int getWmMaxDaysInAdvance()

      Gets the value of the wmMaxDaysInAdvance property.

    - #### setWmMaxDaysInAdvance

          public void setWmMaxDaysInAdvance(int value)

      Sets the value of the wmMaxDaysInAdvance property.

    - #### isWmIgnoreBalance

          public boolean isWmIgnoreBalance()

      Gets the value of the wmIgnoreBalance property.

    - #### setWmIgnoreBalance

          public void setWmIgnoreBalance(boolean value)

      Sets the value of the wmIgnoreBalance property.

    - #### isWmBatchRequests

          public boolean isWmBatchRequests()

      Gets the value of the wmBatchRequests property.

    - #### setWmBatchRequests

          public void setWmBatchRequests(boolean value)

      Sets the value of the wmBatchRequests property.

    - #### getWmDaysInAdvance

          public int getWmDaysInAdvance()

      Gets the value of the wmDaysInAdvance property.

    - #### setWmDaysInAdvance

          public void setWmDaysInAdvance(int value)

      Sets the value of the wmDaysInAdvance property.

    - #### getWmMinContinuousDays

          public int getWmMinContinuousDays()

      Gets the value of the wmMinContinuousDays property.

    - #### setWmMinContinuousDays

          public void setWmMinContinuousDays(int value)

      Sets the value of the wmMinContinuousDays property.

    - #### isWmPeriodRestriction

          public boolean isWmPeriodRestriction()

      Gets the value of the wmPeriodRestriction property.

    - #### setWmPeriodRestriction

          public void setWmPeriodRestriction(boolean value)

      Sets the value of the wmPeriodRestriction property.

    - #### getWmPeriodMaxMinutes

          public int getWmPeriodMaxMinutes()

      Gets the value of the wmPeriodMaxMinutes property.

    - #### setWmPeriodMaxMinutes

          public void setWmPeriodMaxMinutes(int value)

      Sets the value of the wmPeriodMaxMinutes property.

    - #### getWmPeriodStartDate

          public double getWmPeriodStartDate()

      Gets the value of the wmPeriodStartDate property.

    - #### setWmPeriodStartDate

          public void setWmPeriodStartDate(double value)

      Sets the value of the wmPeriodStartDate property.

    - #### getWmPeriodEndDate

          public double getWmPeriodEndDate()

      Gets the value of the wmPeriodEndDate property.

    - #### setWmPeriodEndDate

          public void setWmPeriodEndDate(double value)

      Sets the value of the wmPeriodEndDate property.

    - #### isWmAutoCalcEnabled

          public boolean isWmAutoCalcEnabled()

      Gets the value of the wmAutoCalcEnabled property.

    - #### setWmAutoCalcEnabled

          public void setWmAutoCalcEnabled(boolean value)

      Sets the value of the wmAutoCalcEnabled property.

    - #### getWmAutoCalcOffsetDays

          public int getWmAutoCalcOffsetDays()

      Gets the value of the wmAutoCalcOffsetDays property.

    - #### setWmAutoCalcOffsetDays

          public void setWmAutoCalcOffsetDays(int value)

      Sets the value of the wmAutoCalcOffsetDays property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmAccrualRuleId

          public CfgAccrualRule withWmAccrualRuleId(int value)

    - #### withWmBUId

          public CfgAccrualRule withWmBUId(int value)

    - #### withWmSiteIdNSizeIs

          public CfgAccrualRule withWmSiteIdNSizeIs(int value)

    - #### withWmSiteId

          public CfgAccrualRule withWmSiteId(java.lang.Integer... values)

    - #### withWmSiteId

          public CfgAccrualRule withWmSiteId(java.util.Collection<java.lang.Integer> values)

    - #### withWmName

          public CfgAccrualRule withWmName(java.lang.String value)

    - #### withWmHours

          public CfgAccrualRule withWmHours(double value)

    - #### withWmPeriodType

          public CfgAccrualRule withWmPeriodType(int value)

    - #### withWmPeriods

          public CfgAccrualRule withWmPeriods(int value)

    - #### withWmStartPeriodType

          public CfgAccrualRule withWmStartPeriodType(int value)

    - #### withWmStartPeriods

          public CfgAccrualRule withWmStartPeriods(int value)

    - #### withWmStartFromHiring

          public CfgAccrualRule withWmStartFromHiring(boolean value)

    - #### withWmMaxCarriedMinutes

          public CfgAccrualRule withWmMaxCarriedMinutes(int value)

    - #### withWmCarryOverDay

          public CfgAccrualRule withWmCarryOverDay(double value)

    - #### withWmAdvanceMinutes

          public CfgAccrualRule withWmAdvanceMinutes(int value)

    - #### withWmMaxVacMinutes

          public CfgAccrualRule withWmMaxVacMinutes(int value)

    - #### withWmDailyVacMinutes

          public CfgAccrualRule withWmDailyVacMinutes(int value)

    - #### withWmRequestWeekDelay

          public CfgAccrualRule withWmRequestWeekDelay(boolean value)

    - #### withWmVacationAutoGrant

          public CfgAccrualRule withWmVacationAutoGrant(boolean value)

    - #### withWmEstimatedDailyMinutes

          public CfgAccrualRule withWmEstimatedDailyMinutes(int value)

    - #### withWmEstimatedWeeklyMinutes

          public CfgAccrualRule withWmEstimatedWeeklyMinutes(int value)

    - #### withWmTimeOffTypeId

          public CfgAccrualRule withWmTimeOffTypeId(int value)

    - #### withWmType

          public CfgAccrualRule withWmType(int value)

    - #### withWmAutoGrantMinMinutes

          public CfgAccrualRule withWmAutoGrantMinMinutes(int value)

    - #### withWmMaxDaysInAdvance

          public CfgAccrualRule withWmMaxDaysInAdvance(int value)

    - #### withWmIgnoreBalance

          public CfgAccrualRule withWmIgnoreBalance(boolean value)

    - #### withWmBatchRequests

          public CfgAccrualRule withWmBatchRequests(boolean value)

    - #### withWmDaysInAdvance

          public CfgAccrualRule withWmDaysInAdvance(int value)

    - #### withWmMinContinuousDays

          public CfgAccrualRule withWmMinContinuousDays(int value)

    - #### withWmPeriodRestriction

          public CfgAccrualRule withWmPeriodRestriction(boolean value)

    - #### withWmPeriodMaxMinutes

          public CfgAccrualRule withWmPeriodMaxMinutes(int value)

    - #### withWmPeriodStartDate

          public CfgAccrualRule withWmPeriodStartDate(double value)

    - #### withWmPeriodEndDate

          public CfgAccrualRule withWmPeriodEndDate(double value)

    - #### withWmAutoCalcEnabled

          public CfgAccrualRule withWmAutoCalcEnabled(boolean value)

    - #### withWmAutoCalcOffsetDays

          public CfgAccrualRule withWmAutoCalcOffsetDays(int value)

    - #### withTimestamp

          public CfgAccrualRule withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.